Vulnerabilidade encontrada no Kernel e em processadores Samsung põe em risco Galaxy S2, Galaxy S3 e Galaxy Note 2.

A vulnerabilidade foi encontrada por um membro do Fórum XDA-Developers e está presente em todos os dispositivos que utilizam o Kernel da Samsung em conjunto com os processadores Exynos 4210 e Exynos 4412 fabricados pela empresa coreana, dentre eles estão os smartphones Galaxy S2, Galaxy S3 e Galaxy Note II.

Falha no kernel da Samsung coloca em risco Galaxy S2, Galaxy S3 e Galaxy Note II (Imagem: AndroidCentral)

A falha permite que a memória dos dispositivos fiquem acessíveis à aplicativos instalados no aparelho. Assim, qualquer aplicativo instalado manualmente ou mesmo os que foram instalados através da Google Play podem ter acesso aos dados da memória, mesmo sem que o usuário tenha feito root no dispositivo.

A Samsung já tem conhecimento da falha e segundo o site Android Central, a empresa “está conduzindo um processo de revisão interna”, porém ainda não temos conhecimento de nenhuma manifestação pública da empresa sobre o assunto.

Estima-se que milhões de dispositivos estejam vulneráveis com a falha de segurança descoberta no kernel da Samsung, incluindo o Galaxy S2, Galaxy S3, Galaxy Note, Galaxy Note II e o tablet Galaxy Note 10.1.

Até que a própria Samsung corrija a falha, o usuário supercurio do Fórum XDA-Developers desenvolveu uma app que corrije a falha e disponibilizou o .apk para download aqui.

Segundo o próprio desenvolvedor, o aplicativo pode ser executado em qualquer dispositivo permitindo que você descubra se o seu aparelho está vulnerável, não precisar ter acesso root, não modifica seu sistema ou copia qualquer tipo de arquivo e permite habilitar ou desabilitar a correção no seu aparelho se for necessário.

Assim que tivermos mais novidades a esse respeito atualizaremos esta postagem.